Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Interface PassController

All Known Implementing Classes:
  PassAllBlocks

public interface PassController

User implementable interface that controls whether to attempt another pass with the next block.

Method Summary
`boolean` | `evalAnotherPass(SystemObject inObject, EOSearchOptions searchOptions, java.util.ArrayList lastResults, java.util.ArrayList combinedResults, java.util.ArrayList previousBlockIDs, java.util.ArrayList remainingBlockIDs)` User implementable method that controls whether to attempt another pass with the next block.

Method Detail

### evalAnotherPass

    public boolean evalAnotherPass(SystemObject inObject,
                                   EOSearchOptions searchOptions,
                                   java.util.ArrayList lastResults,
                                   java.util.ArrayList combinedResults,
                                   java.util.ArrayList previousBlockIDs,
                                   java.util.ArrayList remainingBlockIDs)

  User implementable method that controls whether to attempt another pass with the next block. This could for example be dependent on what results have been found so far or on what blocks are remaining.

  Parameters:
    `inObject` - the Object to find matches for
    `searchOptions` - the options used for the search. From this it is possible to tell whether it is a weighted search or a normal match.
    `lastResults` - the ScoreElement results from the last pass of a block. The ScoreElements are NOT sorted by weight at this point
    `combinedResults` - the ScoreElement results from the all previous passes of a blocks for a findMatch.
    `previousBlockIDs` - the Block IDs that have been evaluated up to this point
    `remainingBlockIDs` - the Block IDs that have not yet been evaluated up to this point The ScoreElements are NOT sorted by weight at this point
  Returns:
    true if it should attempt to do another pass with the next block

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.